## ros-one-joy 1.15.1-11jammy.20251023.0205

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(joy)

# Load catkin and all dependencies required for this package
set(CATKIN_DEPS roscpp diagnostic_updater sensor_msgs roslint)
find_package(catkin REQUIRED ${CATKIN_DEPS})

roslint_cpp()

catkin_package(DEPENDS sensor_msgs)

# Look for <linux/joystick.h>
include(CheckIncludeFiles)
check_include_files(linux/joystick.h HAVE_LINUX_JOYSTICK_H)

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

if(HAVE_LINUX_JOYSTICK_H)
  include_directories(msg/cpp ${catkin_INCLUDE_DIRS})
  add_executable(joy_node src/joy_node.cpp)
  target_link_libraries(joy_node ${catkin_LIBRARIES})

# Install targets
  install(TARGETS joy_node
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
else()
  message("Warning: no <linux/joystick.h>; won't build joy node")
endif()

install(DIRECTORY migration_rules scripts config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-one-joy (1.15.1-11jammy.20251023.0205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Oct 2025 02:05:28 +0000

ros-one-joy (1.15.1-0jammy) jammy; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 07 Jun 2021 00:00:00 -0000

ros-one-joy (1.15.0-0jammy) jammy; urgency=high

  * Added autodetection for force-feedback devices. (#169 <https://github.com/ros-drivers/joystick_drivers/issues/169>)
    * Added autodetection for force-feedback devices.
    * RAII for closedir
  * joy: Little fixes for force feedback. (#167 <https://github.com/ros-drivers/joystick_drivers/issues/167>)
    This commit increases the maximum magnitude of the FF effects to double the previous maximum.
  * Print out joystick name on initialization. (#168 <https://github.com/ros-drivers/joystick_drivers/issues/168>)
    This helps figuring out what string to give to the dev_name parameter.
  * Contributors: Martin Pecka

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 12 Oct 2020 00:00:00 -0000

ros-one-joy (1.14.0-0jammy) jammy; urgency=high

  * frame_id in the header of the joystick msg (#166 <https://github.com/ros-drivers/joystick_drivers/issues/166>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Merge pull request #158 <https://github.com/ros-drivers/joystick_drivers/issues/158> from clalancette/ros1-cleanups
    ROS1 joy cleanups
  * Greatly simplify the sticky_buttons support.
  * Small fixes to rumble support.
  * Use C++ style casts.
  * Use empty instead of length.
  * joy_def_ff -> joy_dev_ff
  * Cleanup header includes.
  * Use size_t appropriately.
  * NULL -> nullptr everywhere.
  * Style cleanup in joy_node.cpp.
  * Merge pull request #154 <https://github.com/ros-drivers/joystick_drivers/issues/154> from zchen24/master
    Minor: moved default to right indent level
  * Contributors: Chris Lalancette, Joshua Whitley, Mamoun Gharbi, Zihan Chen

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 07 Jul 2020 00:00:00 -0000

ros-one-joy (1.13.0-0jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/ros-drivers/joystick_drivers/issues/120> from furushchev/remap
    add joy_remap and its sample
  * Merge pull request #128 <https://github.com/ros-drivers/joystick_drivers/issues/128> from ros-drivers/fix/tab_errors
    Cleaning up Python indentation.
  * Merge pull request #111 <https://github.com/ros-drivers/joystick_drivers/issues/111> from matt-attack/indigo-devel
    Add Basic Force Feedback Support
  * Merge pull request #126 <https://github.com/ros-drivers/joystick_drivers/issues/126> from clalancette/minor-formatting
  * Put brackets around ROS_* macros.
    In some circumstances they may be defined to empty, so we need
    to have brackets to ensure that they are syntactically valid.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Merge pull request #122 <https://github.com/ros-drivers/joystick_drivers/issues/122> from lbucklandAS/fix-publish-timestamp
    Add timestamp to all joy messages
  * Change error messages and set ps3 as default controller
  * Better handle device loss
    Allow for loss and redetection of device with force feedback
  * Add basic force feedback over usb
    Addresses #89 <https://github.com/ros-drivers/joystick_drivers/issues/89>
  * Contributors: Chris Lalancette, Furushchev, Joshua Whitley, Lucas Buckland, Matthew, Matthew Bries

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-one-joy (1.12.0-0jammy) jammy; urgency=high

  * Update timestamp when using autorepeat_rate
  * Added dev_name parameter to select joystick by name
  * Added Readme for joy package with description of new device name parameter
  * Fixed numerous outstanding PRs.
  * Added sticky buttons
  * Changed package xml to format 2
  * Fixed issue when the joystick data did not got send until changed.
  * Changed messaging to better reflect what the script is doing
  * Contributors: Dino Hüllmann, Jonathan Bohren, Joshua Whitley, Miklos Marton, Naoki Mizuno, jprod123, psimona

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-one-joy (1.11.0-0jammy) jammy; urgency=high

  * fixed joy/Cmakelists for osx
  * Update dependencies to remove warnings
  * Contributors: Marynel Vazquez, Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-one-joy (1.10.1-0jammy) jammy; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-one-joy (1.10.0-0jammy) jammy; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

## ros-one-joy 1.15.1-11jammy.20260220.2252

=== debian/changelog ===
ros-one-joy (1.15.1-11jammy.20260220.2252) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 20 Feb 2026 22:52:31 +0000

## ros-one-joy 1.15.1-11noble.20251023.0204

=== debian/changelog ===
ros-one-joy (1.15.1-11noble.20251023.0204) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 23 Oct 2025 02:04:03 +0000

ros-one-joy (1.15.1-0noble) noble; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 07 Jun 2021 00:00:00 -0000

ros-one-joy (1.15.0-0noble) noble; urgency=high

  * Added autodetection for force-feedback devices. (#169 <https://github.com/ros-drivers/joystick_drivers/issues/169>)
    * Added autodetection for force-feedback devices.
    * RAII for closedir
  * joy: Little fixes for force feedback. (#167 <https://github.com/ros-drivers/joystick_drivers/issues/167>)
    This commit increases the maximum magnitude of the FF effects to double the previous maximum.
  * Print out joystick name on initialization. (#168 <https://github.com/ros-drivers/joystick_drivers/issues/168>)
    This helps figuring out what string to give to the dev_name parameter.
  * Contributors: Martin Pecka

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 12 Oct 2020 00:00:00 -0000

ros-one-joy (1.14.0-0noble) noble; urgency=high

  * frame_id in the header of the joystick msg (#166 <https://github.com/ros-drivers/joystick_drivers/issues/166>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Merge pull request #158 <https://github.com/ros-drivers/joystick_drivers/issues/158> from clalancette/ros1-cleanups
    ROS1 joy cleanups
  * Greatly simplify the sticky_buttons support.
  * Small fixes to rumble support.
  * Use C++ style casts.
  * Use empty instead of length.
  * joy_def_ff -> joy_dev_ff
  * Cleanup header includes.
  * Use size_t appropriately.
  * NULL -> nullptr everywhere.
  * Style cleanup in joy_node.cpp.
  * Merge pull request #154 <https://github.com/ros-drivers/joystick_drivers/issues/154> from zchen24/master
    Minor: moved default to right indent level
  * Contributors: Chris Lalancette, Joshua Whitley, Mamoun Gharbi, Zihan Chen

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 07 Jul 2020 00:00:00 -0000

ros-one-joy (1.13.0-0noble) noble; urgency=high

  * Merge pull request #120 <https://github.com/ros-drivers/joystick_drivers/issues/120> from furushchev/remap
    add joy_remap and its sample
  * Merge pull request #128 <https://github.com/ros-drivers/joystick_drivers/issues/128> from ros-drivers/fix/tab_errors
    Cleaning up Python indentation.
  * Merge pull request #111 <https://github.com/ros-drivers/joystick_drivers/issues/111> from matt-attack/indigo-devel
    Add Basic Force Feedback Support
  * Merge pull request #126 <https://github.com/ros-drivers/joystick_drivers/issues/126> from clalancette/minor-formatting
  * Put brackets around ROS_* macros.
    In some circumstances they may be defined to empty, so we need
    to have brackets to ensure that they are syntactically valid.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Merge pull request #122 <https://github.com/ros-drivers/joystick_drivers/issues/122> from lbucklandAS/fix-publish-timestamp
    Add timestamp to all joy messages
  * Change error messages and set ps3 as default controller
  * Better handle device loss
    Allow for loss and redetection of device with force feedback
  * Add basic force feedback over usb
    Addresses #89 <https://github.com/ros-drivers/joystick_drivers/issues/89>
  * Contributors: Chris Lalancette, Furushchev, Joshua Whitley, Lucas Buckland, Matthew, Matthew Bries

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-one-joy (1.12.0-0noble) noble; urgency=high

  * Update timestamp when using autorepeat_rate
  * Added dev_name parameter to select joystick by name
  * Added Readme for joy package with description of new device name parameter
  * Fixed numerous outstanding PRs.
  * Added sticky buttons
  * Changed package xml to format 2
  * Fixed issue when the joystick data did not got send until changed.
  * Changed messaging to better reflect what the script is doing
  * Contributors: Dino Hüllmann, Jonathan Bohren, Joshua Whitley, Miklos Marton, Naoki Mizuno, jprod123, psimona

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-one-joy (1.11.0-0noble) noble; urgency=high

  * fixed joy/Cmakelists for osx
  * Update dependencies to remove warnings
  * Contributors: Marynel Vazquez, Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 00:00:00 -0000

ros-one-joy (1.10.1-0noble) noble; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-one-joy (1.10.0-0noble) noble; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-joy
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), joystick, ros-one-catkin, ros-one-diagnostic-updater, ros-one-roscpp, ros-one-roslint, ros-one-sensor-msgs
Homepage: http://www.ros.org/wiki/joy
Standards-Version: 3.9.2

Package: ros-one-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, joystick, ros-one-diagnostic-updater, ros-one-roscpp, ros-one-sensor-msgs
Description: ROS driver for a generic Linux joystick.
 The joy package contains joy_node, a node that interfaces a generic Linux joystick to ROS. This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-joy//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-joy 1.15.1-11noble.20260220.2308

=== debian/changelog ===
ros-one-joy (1.15.1-11noble.20260220.2308) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 20 Feb 2026 23:08:35 +0000
